
Redmine - Defect #19334

Error 500 when uploading file with umlaut in filename from Mac

2015-03-10 21:49 - Benedikt Huss

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.0

Description

When I try to add a file that has umlauts in its filename, the file upload returns error 500

ruby 2.2.0p0 (2014-12-25 revision 49005) [x86_64-linux]

ActiveRecord::StatementInvalid (Mysql2::Error: Incorrect string value: '\xCC\x88uft....' for column 'filename' at row 1: INSERT INTO

`attachments` (`filesize`, `author_id`, `filename`, `content_type`, `created_on`, `disk_directory`, `disk_filename`, `digest`) VALUES

(104227, 2, 'FileWithÄ.png', 'image/png', '2015-03-10 21:25:52.322050', '2015/03',

'150310212552_2ee9c348b107f4bb61a9c636081148c7.png', '53487d81c5beb80ef2f4e3658f4326da')):

app/controllers/attachments_controller.rb:90:in `upload'

Related issues:

Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

History

#1 - 2015-03-11 09:27 - Benedikt Huss

- Status changed from New to Resolved

Problem has been fixed in the database, collation for table was not set to utf-8 (we migrated from Bitnami Windows installation to a native Debian

installation)

#2 - 2015-03-11 10:12 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback.

#3 - 2019-08-17 18:31 - Marius BĂLTEANU

- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added

Files

filenameWithÄ.txt 11 Bytes 2015-03-10 Benedikt Huss
